Returns all documents for a specific employee, including contract notes, valuation statements, and direct debit notices.
Each document includes a downloadUrl that returns a pre-signed S3 URL
valid for 5 minutes. To download the PDF, follow the URL returned by
downloadUrl.
Query parameters
-
Filter documents by type.
Values are
AnnualBenefitStatement,ContractNote,DirectDebitMandateConfirmation, orDirectDebitMandateNotice. -
The maximum number of documents to return per page.
Minimum value is
1, maximum value is500. Default value is200. -
The page number to return.
Minimum value is
1. Default value is1.
GET
/employers/{employerId}/employees/{employeeId}/documents
curl \
--request GET 'https://partner-api.getpenfold.com/v1/employers/{employerId}/employees/{employeeId}/documents' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"items": [
{
"id": "d2b3c4d5-f6a7-8901",
"type": "AnnualBenefitStatement",
"title": "Annual Benefit Statement - 2025",
"createdAt": "2025-06-15T10:00:00Z",
"downloadUrl": "/v1/employers/emp123/employees/ee456/documents/d2b3c4d5-f6a7-8901/download"
},
{
"id": "d3c4d5e6-a7b8-9012",
"type": "ContractNote",
"title": "Contract Note - Buy PenfoldLifetime",
"createdAt": "2025-06-20T14:30:00Z",
"downloadUrl": "/v1/employers/emp123/employees/ee456/documents/d3c4d5e6-a7b8-9012/download"
}
],
"pageSize": 200,
"pageNumber": 1,
"totalItems": 3
}
Response examples (401)
{
"error": "unauthorized"
}
Response examples (404)
{
"error": "not found"
}
Response examples (500)
{
"error": "internal server error"
}